Bug 299301 - UI: There is no indiciation as to which plugins are open source and which are propriatary
UI: There is no indiciation as to which plugins are open source and which are...
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: codeina (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Bastien Nocera
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F8Target
  Show dependency treegraph
 
Reported: 2007-09-20 17:02 EDT by Jesse Keating
Modified: 2013-01-09 21:39 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-27 09:15:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jesse Keating 2007-09-20 17:02:33 EDT
Summary says it all.  Would be good information to know if somebody is choosing
non-free (as on speech) software.
Comment 1 Bastien Nocera 2007-09-27 09:15:44 EDT
All of them are non-free, as per the definitions from the FSF.
In some countries (like the US), those plugins require payment of a patent
license (that includes the mp3 decoder, and the mpeg demuxer).

So they can never be considered free, and the availability of sources doesn't
change that.

On the other hand, the Fluendo site should have more prominent links to the
sources for the plugins that have some available. I filed this as:
https://core.fluendo.com/gstreamer/trac/ticket/77

Note You need to log in before you can comment on or make changes to this bug.